4

Is it possible to install an external package in QGIS? For example: Can I install ReportLab in order to create a plugin to make pdf reports?

Or Pandas. How can I install Pandas in QGIS Python library?

closed as too broad by PolyGeo Jul 1 '17 at 21:28

Please edit the question to limit it to a specific problem with enough detail to identify an adequate answer. Avoid asking multiple distinct questions at once. See the How to Ask page for help clarifying this question. If this question can be reworded to fit the rules in the help center, please edit the question.

  • Go to the plugins manager and look for it there. If it's not there then you'll have to write/adapt your own, but those instructions would take several pages if you're not an adept programmer. Please give an indication of your programming ability. – Michael Stimson Feb 13 '15 at 2:24
  • I have knowledge of programming in python3x and PyQGIS and would like to adapt some scirpts to process spatial data so you can launch them from a button in QGIS, but I need to import certain libraries. – kamome Feb 13 '15 at 2:40
  • 1
    go right ahead, any library that has a python module can be co-imported (even arcpy). docs.qgis.org/testing/en/docs/pyqgis_developer_cookbook/… has instructions on how to create a plugin. Unfortunately you are limited to python; QGIS source can be downloaded if you want to make your own version but that is strongly discouraged. – Michael Stimson Feb 13 '15 at 3:02
  • Am not sure if Reportlab and Pandas will install correctly on the python set that came with QGIS? However, I was able to install PySAL library on it, I wrote the steps I took here: umar-yusuf.blogspot.com.ng/2016/07/… – Umar Yusuf Jul 31 '16 at 16:03
  • you can read the answers for this question: gis.stackexchange.com/questions/141320/… – Daniele Piccolo Jun 5 '17 at 10:35
1

QGIS has no ability to install Python plugin dependencies. You need to notify user to install dependencies by itself or merge dependency code into your plugin. There are limited number of Python modules shipped with QGIS under Linux/Windows (not sure with Mac OS X):

  1. dateutil
  2. httplib2
  3. jinja2
  4. markupsafe
  5. nose2
  6. pygments
  7. pyspatialite
  8. pytz
  9. siz
  10. yaml

Not the answer you're looking for? Browse other questions tagged or ask your own question.